﻿
local acceptres				= true
local battlegroundres			        = true
local cancelduels					= true
local hideerrors			= true
local reputationwatch			        = true
local dingannounce			                = false
local doubleclickinvite			= true
local acceptfriendlyinvites	                = true
local autorepair				        = true
local autorepairguild			= true
local selljunk				        = true
local fatiguewarner      		= false
local interruptedmsg			        = true
local leavepartymsg			= true
local pethello			                = true
local nameplate			        = true

local slshCmnd_CommandLists		= true
local slshCmnd_LeaveParty		        = true
local slshCmnd_ReloadUI			                = true
local slshCmnd_XP			= false
local slshCmnd_Readycheck		        = true
local slshCmnd_DisbandRaid		                = true
local slshCmnd_ConvertToParty		= true
local slshCmnd_ConvertToRaid		        = true

--[[-----------------------------------------------------------------------------

Setting descriptions:

To disable an option set it to false or true.

Accept Res.
	Automatically accept a resurrect request if not in combat and thank the
	caster.

Battleground Res.
	Automatically release when you die in a battle ground.

Cancel Duels.
	Automatically decline any duel request unless you are holding down the CTRL
	key.

Hide Errors.
	Disable error messages: Not enough energy, Not enough mana, ...

Reputation Watch.
	Automatically change the reputation bar to the reputation you last gained.

Ding Announce.
	Announce when you level up to your guild and/or raid/party (if in one).

Double Click Invite.
	Enable double clicking a friend in the Friends Frame to invite them to a
	group (supports RealID).

Mount Macro.
        #showtooltip
        /use [nomod, button:1] Brown Riding Camel
        /use [nomod, button:2] Ironbound Proto-Drake
        /use [mod:ctrl] Abyssal Seahorse

        if you dont have the seahorse you can add a 3rd 
        mount like a 2-seater.

        you an also add a 4th and 5th by doing.
        i tend to use for my instance mounts.

       /use [mod:alt] Yellow Qiraji Battle Tank
       /use [mod:shift] X-53 Touring Rocket

Accept Friendly Invites.
	Automatically accept party invites from people in your guild or on your
	friends list.

Auto Repair.
	Automatically repair all of your gear when visiting an applicable merchant.

Auto Repair Guild.
	Automatically repair all of your gear when visiting an applicable merchant,
	From guild funds.

Sell Junk.
	Automatically sell all of your grey quality items when visiting a merchant.
	Note: There is a grey item in Swamp of Sorrows that starts 	a quest:
	http://www.wowhead.com/?item=6196

Fatigue Warner.
        gives a sound warning, when you get the exhaustion/fatigue 'debuff' - you will also hear it when you disabled sounds.
"To chane the sound, see code"

Interrupted msg.
        Outputs a message when you successfully interrupt.
        Will Print to Raid or Party.

to change from Say to Party or Raid change code like so.
local channel = 'SAY'
--local channel = 'PARTY'
--local channel = 'RAID'

pethello.
        summons a random companion pet everytime you login or change a zone, unless you happen to be mounted or stealthed.

nameplate.
        displays the health as percent value on the default Blizzard Nameplates.

leavepartymsg.
        Shows a box, asking if you would like to leave group.          

SlshCmnd_LeaveParty.
	Create a slash command /lp that will leave your party.

SlshCmnd_ReloadUI.
	Create a slash command /rl that will reload the user interface.

SlshCmnd_XP.
	Create a slash command /xp that will output your experience status to chat.

SlshCmnd_Readycheck.
	Create a slash command /rc that will output your party with a ready check, Will 
post message if not Leader or Assist.

SlshCmnd_DisbandRaid.
        Create a slash command /dr that will disband your raid, With a message "Disbanding Raid!",
only if you are Raid Leader or Assist.

SlshCmnd_ConvertToParty.
        Create a slash command /c2p that will Converts a raid into a party.

slshCmnd_ConvertToRaid.
        Create a slash command /c2r that will Converts a party into a raid.

-------------------------------------------------------------------------------]]

local addonName, eventHandlers = ..., { }

--[[-----------------------------------------------------------------------------
Accept Res
-------------------------------------------------------------------------------]]
if acceptres then
	eventHandlers['RESURRECT_REQUEST'] = function(name)
		if not (UnitAffectingCombat('player') or UnitAffectingCombat(name)) then
			local delay = GetCorpseRecoveryDelay()
			if delay == 0 then
				AcceptResurrect()
				DoEmote('thank', name)
			else
                                local b = CreateFrame("Button")
				local formattedText = b:GetText(b:SetFormattedText("%d |4second:seconds", delay))
				SendChatMessage("Thanks for the rez! I still have "..formattedText.." until I can accept it.", 'WHISPER', nil, name)
			end
		end
	end
end

--[[-----------------------------------------------------------------------------
Battleground Res
-------------------------------------------------------------------------------]]
if battlegroundres then
	--eventHandlers['PLAYER_DEAD'] = function()
			--if IsInActiveWorldPVP or (GetRealZoneText()=='Wintergrasp') or (GetRealZoneText()=='TolBarad') then
			--RepopMe()
		--end
	--end
end

--[[-----------------------------------------------------------------------------
Cancel Duels
-------------------------------------------------------------------------------]]
if cancelduels then
	eventHandlers['DUEL_REQUESTED'] = function(name)
		if not IsControlKeyDown() then
			CancelDuel()
			DoEmote('no', 1)
			print("Duel from " .. name .. " declined, hold CTRL to allow the next request.")
		end
	end
end

--[[-----------------------------------------------------------------------------
Hide Errors
-------------------------------------------------------------------------------]]
if hideerrors then
	local allowedErrors = { }

	eventHandlers['UI_ERROR_MESSAGE'] = function(message)
		if allowedErrors[message] then
			UIErrorsFrame:AddMessage(message, 1, .1, .1)
		end
	end

	UIErrorsFrame:UnregisterEvent('UI_ERROR_MESSAGE')
end

--[[-----------------------------------------------------------------------------
Reputation Watch
-------------------------------------------------------------------------------]]
if reputationwatch then
function RepC_Event(self, event, txt)
	local a
	local _,_, faction = string.find(txt, "Reputation with (.+) increased by (.+).")
	if IsInGuild() then
		a = GetGuildInfo("player")
	end
	if faction == "Guild" or faction == "guild" or faction == a then 
		return 
	end
	for i = 1, GetNumFactions() do
		if faction == GetFactionInfo(i) then
			SetWatchedFactionIndex(i)
			return
		end
	end
end


local f = CreateFrame("Frame")
f:RegisterEvent("CHAT_MSG_COMBAT_FACTION_CHANGE")
f:SetScript("OnEvent", RepC_Event)
end

--[[-----------------------------------------------------------------------------
Ding Announce
-------------------------------------------------------------------------------]]
if dingannounce then
	eventHandlers['PLAYER_LEVEL_UP'] = function()
		local message = "DING!"
		if GetNumGroupMembers() > 0 then
			SendChatMessage(message, 'RAID')
		elseif GetNumSubgroupMembers() > 0 then
			SendChatMessage(message, 'PARTY')
		end
		if IsInGuild() then
			SendChatMessage(message, 'GUILD')
		end
	end
end	

--[[-----------------------------------------------------------------------------
Double Click Invite
-------------------------------------------------------------------------------]]
if doubleclickinvite then
	local function OnDoubleClick(self, button)
		if button == 'LeftButton' then
			if self.buttonType == FRIENDS_BUTTON_TYPE_WOW then
				local name, _, _, _, connected = GetFriendInfo(self.id)
				if connected then
					InviteUnit(name)
				end
			elseif self.buttonType == FRIENDS_BUTTON_TYPE_BNET then
				local _, _, _, toonName, _, client, isOnline = BNGetFriendInfo(self.id)
				if client == 'WoW' and isOnline then
					local _, _, _, realm = BNGetFriendToonInfo(self.id, 1)
					if realm == GetRealmName() then
						InviteUnit(toonName)
					end
				end
			end
		end
	end

	local buttons = FriendsFrameFriendsScrollFrame.buttons
	for index = 1, #buttons do
		buttons[index]:SetScript('OnDoubleClick', OnDoubleClick)
    end
end

--[[-----------------------------------------------------------------------------
Accept Friendly Invites
-------------------------------------------------------------------------------]]
if acceptfriendlyinvites then
	eventHandlers['PARTY_INVITE_REQUEST'] = function(name)
		local accept
		ShowFriends()
		for index = 1, GetNumFriends() do
			if GetFriendInfo(index) == name then
				accept = true
				break
			end
		end
		if not accept and IsInGuild() then
			GuildRoster()
			for index = 1, GetNumGuildMembers() do
				if GetGuildRosterInfo(index) == name then
					accept = true
					break
				end
			end
		end
		if not accept then
			for index = 1, BNGetNumFriends() do
				local _, _, _, toonName = BNGetFriendInfo(index)
				if toonName == name then
					accept = true
					break
				end
			end
		end
		if accept then
			name = StaticPopup_Visible('PARTY_INVITE')
			if name then
				StaticPopup_OnClick(_G[name], 1)
				return
			end
		else
			SendWho('n-"' .. name .. '"')
		end
	end
end

--[[-----------------------------------------------------------------------------
Autorepair or Autorepairguild / SellJunk
-------------------------------------------------------------------------------]]
if autorepair or autorepairguild or selljunk then
	local handler = ""

	if selljunk then
		handler = handler .. [[
			local total = 0
			for bag = 0, NUM_BAG_FRAMES do
				for slot = 1, GetContainerNumSlots(bag) do
					local link = GetContainerItemLink(bag, slot)
					if link then
						local _, _, itemRarity, _, _, _, _, _, _, _, itemSellPrice = GetItemInfo(link)
						local _, itemCount = GetContainerItemInfo(bag, slot)
						if itemRarity == 0 and itemSellPrice ~= 0 then
							total = total + (itemSellPrice * itemCount)
							UseContainerItem(bag, slot)
						end
					end
				end
			end
			if total > 0 then
				print("Sold all grey items for " .. MoneyToString(total))
			end
		]]
	end

	if autorepairguild then
		handler = handler .. [[
			if CanGuildBankRepair() then
				local cost, canRepair = GetRepairAllCost()
				if canRepair and cost > 0 then
					RepairAllItems(1)
					local newCost = GetRepairAllCost()
					if newCost < cost then
						print("Repairs made using guild funds: " .. MoneyToString(cost - newCost))
					end
				end
			end
		]]
	end

	-- Sell first so there is more money for repairs
	if autorepair then
		handler = handler .. [[
			local cost, canRepair = GetRepairAllCost()
			if canRepair and cost > 0 and cost <= GetMoney() * 0.2 then
				RepairAllItems()
				print("Repairs made: " .. MoneyToString(cost))
			end
		]]
	end

	eventHandlers['MERCHANT_SHOW'] = loadstring(([=[
		local cuInd = [[|TInterface\MoneyFrame\UI-CopperIcon:0:1:2:0|t]]
		local agInd = [[|TInterface\MoneyFrame\UI-SilverIcon:0:1:2:0|t ]]
		local auInd = [[|TInterface\MoneyFrame\UI-GoldIcon:0:1:2:0|t ]]

		local function MoneyToString(ammount)
			local cu = ammount %% 100
			ammount = floor(ammount / 100)
			local ag, au = ammount %% 100, floor(ammount / 100)
			if au > 0 then
				return au .. auInd .. ag .. agInd .. cu .. cuInd
			elseif ag > 0 then
				return ag .. agInd .. cu .. cuInd
			end
			return cu .. cuInd
		end

		local function Handler(...)
			%s
		end

		return Handler
	]=]):format(handler))()
end

--[[-----------------------------------------------------------------------------
Fatigue Warner
-------------------------------------------------------------------------------]]
if fatiguewarner then
function FatigueWarner_OnUpdate(self) 
	local timer, value, maxvalue, scale, paused, label = GetMirrorTimerInfo(1) 
	if timer == "EXHAUSTION" then 
-- You can change the sounds by deleting the -- in Front of those PlaySoundFile, so that only one will not have the -- in front of it.
              --PlaySoundFile("Sound\\Creature\\ShadeOfAran\\AranAggro01.wav" , "Master")					
              --PlaySoundFile("Sound\\Creature\\ElderIronbranch\\UR_Ironbranch_Aggro01.wav", "Master")	
                PlaySoundFile("Sound\\Creature\\XT002Deconstructor\\UR_XT002_Special01.wav", "Master")
              --PlaySoundFile("Sound\\Creature\\Hodir\\UR_Hodir_Aggro01.wav", "Master")
	end 
	self:SetScript("OnUpdate", nil) 
end 
 
function FatigueWarner_OnEvent(self) 
	self:SetScript("OnUpdate", FatigueWarner_OnUpdate) 
end 
	  
-- Sinnlos; strip bringt ja irgendwie nichts fiel mir dann auf :>
function FatigueWarner_Strip()
	local FatigueWarner_StripTable = {16, 17, 18, 5, 7, 1, 3, 10, 8, 6, 9}
	local start = 1
	local finish = table.getn(FatigueWarner_StripTable)

	for bag = 0, 4 do
		for slot=1, GetContainerNumSlots(bag) do
			if not GetContainerItemLink(bag, slot) then
				for i = start, finish do
					if GetInventoryItemLink("player", FatigueWarner_StripTable[i]) then
						PickupInventoryItem(FatigueWarner_StripTable[i])
						PickupContainerItem(bag, slot)
						start = i + 1
						break
					end
				end
			end
		end
	end
end

local FatigueWarnerFrame = CreateFrame("frame")
FatigueWarnerFrame:RegisterEvent("MIRROR_TIMER_START")
FatigueWarnerFrame:RegisterEvent("MIRROR_TIMER_STOP")
FatigueWarnerFrame:SetScript("OnEvent", FatigueWarner_OnEvent)
end

--[[-----------------------------------------------------------------------------
Interrupted msg
-------------------------------------------------------------------------------]]
if interruptedmsg then
local channel = 'SAY'
--local channel = 'PARTY'
--local channel = 'RAID'

local Interrupted = CreateFrame('Frame')

local function OnEvent(self, event, ...)

	if select(2,...) ~= 'SPELL_INTERRUPT' then return end
	if select(5,...) ~= UnitName('player') then return end

	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8, arg9, arg10, arg11, arg12, arg13, arg14, arg15 = ...
	SendChatMessage('Interrupted ' .. GetSpellLink(arg15), channel)

end

Interrupted:SetScript('OnEvent', OnEvent)
Interrupted:RegisterEvent('COMBAT_LOG_EVENT_UNFILTERED')
end

--[[-----------------------------------------------------------------------------
ConfirmLeaveParty
-------------------------------------------------------------------------------]]
if leavepartymsg then
local CONFIRM_LEAVE_PARTY = "Do you really want to leave the group?"

if GetLocale() == "deDE" then
	CONFIRM_LEAVE_PARTY = "Willst du wirklich die Gruppe verlassen?" -- by Shantalya @ WoWI
elseif GetLocale() == "esES" or GetLocale() == "esMX" then
	CONFIRM_LEAVE_PARTY = "¿Realmente quieres dejar el grupo?"
elseif GetLocale() == "frFR" then
	CONFIRM_LEAVE_PARTY = "Voulez-vous vraiment quitter le groupe?"
elseif GetLocale() == "itIT" then
	CONFIRM_LEAVE_PARTY = "Vuoi davvero abbandonare il gruppo?"
elseif GetLocale() == "ptBR" then
	CONFIRM_LEAVE_PARTY = "Tem certeza de que deseja sair o grupo?"
elseif GetLocale() == "ruRU" then
	CONFIRM_LEAVE_PARTY = "Вы действительно хотите выйти из группы?"
elseif GetLocale() == "koKR" then
	CONFIRM_LEAVE_PARTY = "정말 이 파티를 떠나시겠습니까?"
elseif GetLocale() == "zhCN" then
	CONFIRM_LEAVE_PARTY = "难道你真的想离开组吗?"
elseif GetLocale() == "zhTW" then
	CONFIRM_LEAVE_PARTY = "難道你真的想離開組嗎?"
end

------------------------------------------------------------------------

local ReallyLeaveParty = LeaveParty

StaticPopupDialogs["CONFIRM_LEAVE_PARTY"] = {
	text = CONFIRM_LEAVE_PARTY,
	button1 = YES,
	button2 = NO,
	enterClicksFirstButton = 1, -- YES on enter
	hideOnEscape = 1, -- NO on escape
	timeout = 0,
	preferredIndex = 3, -- helps prevent taint; see http://forums.wowace.com/showthread.php?t=19960
	OnAccept = ReallyLeaveParty,
}

LeaveParty = function()
	if IsInGroup() or IsInRaid() then
		local _, instanceType = IsInInstance()
		if instanceType == "party" or instanceType == "raid" then
			return StaticPopup_Show("CONFIRM_LEAVE_PARTY")
		end
		ReallyLeaveParty()
	end
end

StaticPopupDialogs.CONFIRM_LEAVE_INSTANCE_PARTY.OnAccept = ReallyLeaveParty
StaticPopupDialogs.CONFIRM_LEAVE_INSTANCE_PARTY.preferredIndex = 3

end

--[[-----------------------------------------------------------------------------
Pet hello
-------------------------------------------------------------------------------]]
if pethello then
local pethi = CreateFrame('Frame')
pethi:RegisterEvent('PLAYER_LOGIN')
pethi:RegisterEvent('PLAYER_UNGHOST')
pethi:RegisterEvent('ZONE_CHANGED_NEW_AREA')
pethi:RegisterEvent('PLAYER_ENTER_WORLD')

pethi:SetScript('OnEvent', function(_, event, ...)

    if (event == 'PLAYER_LOGIN') and not IsMounted() and not IsStealthed() and not IsFlying() and not UnitOnTaxi('player') then
		C_PetJournal.SummonRandomPet(true);
	elseif (event == 'PLAYER_ENTER_WORLD') and not IsMounted() and not IsStealthed() and not IsFlying() and not UnitOnTaxi('player') then
		C_PetJournal.SummonRandomPet(true);
	elseif (event == 'PLAYER_UNGHOST') and not IsMounted() and not IsStealthed() and not IsFlying() and not UnitOnTaxi('player') then
		C_PetJournal.SummonRandomPet(true);
	elseif (event == 'ZONE_CHANGED_NEW_AREA') and not IsMounted() and not IsStealthed() and not IsFlying() and not UnitOnTaxi('player') then
		C_PetJournal.SummonRandomPet(true);
	end

end)
end

--[[-----------------------------------------------------------------------------
Nameplate %
-------------------------------------------------------------------------------]]
if nameplate then
CreateFrame('frame'):SetScript('OnUpdate', function(self, elapsed)
  for index = 1, select('#', WorldFrame:GetChildren()) do
        local np = select(index, WorldFrame:GetChildren())
        if np:GetName() and np:GetName():find('NamePlate%d') then
          np.h = select(1, select(1, np:GetChildren()):GetChildren())
          if np.h then
         if not np.h.v then
           np.h.v = np.h:CreateFontString(nil, "ARTWORK")  
           np.h.v:SetPoint("RIGHT")
           np.h.v:SetFont(STANDARD_TEXT_FONT, 9, 'OUTLINE')
         else
           local _, maxh = np.h:GetMinMaxValues()
           local val = np.h:GetValue()
           np.h.v:SetText(string.format(math.floor((val/maxh)*100)).." %")
         end
          end
        end
  end
end)
end

--[[-----------------------------------------------------------------------------
Slash commands
-------------------------------------------------------------------------------]]
if slshCmnd_CommandLists then
        _G['SLASH_' .. addonName .. 'CommandLists1'] = strlower("/wc")
        SlashCmdList[addonName .. 'CommandLists'] = function()

	    print("|cff3399FF/lp|r - leave your Party/Raid.")
	    print("|cff3399FF/ui|r - Reloads your interface for you.")
	    print("|cff3399FF/xp|r - Output your experience status to chat.")
	    print("|cff3399FF/rc|r - Perform Ready check, Will post message if not Leader or Assist.")
	    print("|cff3399FF/dr|r - Disbands the raid group if you are Raid Leader or Assist.")
      end
end

if slshCmnd_LeaveParty then
        _G['SLASH_' .. addonName .. 'LeaveParty1'] = strlower("/lp")
        SlashCmdList[addonName .. 'LeaveParty'] = function() 

       local inInstance, _ = IsInInstance() 
       if GetNumSubgroupMembers() > 0 or GetNumGroupMembers() > 0 then 
                    LeaveParty() 
       elseif inInstance then 
                    LFGTeleport(true) 
       else print("|cff3399FFError:|r Not in a group.") 
      end 
   end
end

if slshCmnd_ReloadUI then
        _G['SLASH_' .. addonName .. 'ReloadUI1'] = strlower("/rl")
	SlashCmdList[addonName .. 'ReloadUI'] = ReloadUI
end

if slshCmnd_XP then
	local maxLevel = ({ 60, 70, 80 })[GetExpansionLevel() + 1] or 85

        _G['SLASH_' .. addonName .. 'XP1'] = strlower("/xp")
	SlashCmdList[addonName .. 'XP'] = function()
		if IsXPUserDisabled() then
			print("Experience gain is currently disabled for this character.")
		elseif UnitLevel('player') < maxLevel then
			local current, max, rested = UnitXP('player'), UnitXPMax('player'), GetXPExhaustion() or 0
			print(("Experience: %d/%d (%2.2f%%)\nRested: %d (%2.2f%%)\nNext level: %d"):format(current, max, current / max * 100, rested, rested / max * 100,max - current))
		end
	end
end

if slshCmnd_Readycheck then
function Readycheck()
	if (UnitInRaid("player") ~= nil) and (GetNumGroupMembers() > 0) then
		if IsRaidLeader() or IsRaidOfficer() then
			DoReadyCheck()
		else
			print("|cff3399FFError:|r You are not a raid leader or have raid assist, and cannot perform a 'ready check'.")
		end
	elseif (UnitInParty("player") ~= nil) and (GetNumSubgroupMembers() > 0) then
		if UnitIsGroupLeader("player") then
			DoReadyCheck()		
		else
			print("|cff3399FFError:|r You are not the party leader and cannot perform a 'ready check'.")
		end
	else
		print("|cff3399FFError:|r Not in a group.") 
	end
end

        _G['SLASH_' .. addonName .. 'Readycheck1'] = strlower("/rc")
	SlashCmdList[addonName .. 'Readycheck'] = Readycheck
end

if slshCmnd_DisbandRaid then
function DisbandRaid()
        if (UnitInRaid("player") ~= nil) and (GetNumGroupMembers() > 0) then
               if IsRaidLeader() or IsRaidOfficer() then 
               SendChatMessage("< wIn1 > Disbanding Raid!", RAID, nil, nil) 
               local pName = UnitName("player") 
        for i = 1, GetNumGroupMembers() do 
        local name = GetRaidRosterInfo(i) 
        if name ~= pName then UninviteUnit(name) 
     end 
          end
               LeaveParty() 
        else print("|cff3399FFError:|r You aren't the Raid Leader or Raid Assistant.|r") 
      end 
	else
		print("|cff3399FFError:|r Not in a Raid.") 
	end
   end
        _G['SLASH_' .. addonName .. 'DisbandRaid1'] = strlower("/dr")
	SlashCmdList[addonName .. 'DisbandRaid'] = DisbandRaid
end

if slshCmnd_ConvertToParty then
        _G['SLASH_' .. addonName .. 'ConvertToParty1'] = strlower("/c2p")
	SlashCmdList[addonName .. 'ConvertToParty'] = function()
		local numRaid = GetNumGroupMembers()
		if numRaid == 0 then
			print("|cff3399ffError:|r You are not in a raid.")
		elseif numRaid <= MEMBERS_PER_RAID_GROUP then
			ConvertToParty()
			print("|cff3399ffMessage:|r Your raid is now a party.")
		else
			print("|cff3399ffError:|r Unable to convert the raid into a party.")
		end
	end
end

if slshCmnd_ConvertToRaid then
        _G['SLASH_' .. addonName .. 'ConvertToRaid1'] = strlower("/c2r")
	SlashCmdList[addonName .. 'ConvertToRaid'] = function()
		if GetNumGroupMembers() > 0 then
			print("|cff3399ffError:|r You are already in a raid.")
		elseif GetNumSubgroupMembers() > 0 then
			ConvertToRaid()
			print("|cff3399ffMessage:|r Your party is now a raid.")
		else
			print("|cff3399ffError:|r You are not in a party.")
		end
	end
end

--[[-----------------------------------------------------------------------------
Initialize
-------------------------------------------------------------------------------]]
if next(eventHandlers) then
	local frame = CreateFrame('Frame')
	frame:Hide()

	for event, handler in pairs(eventHandlers) do
		frame[event] = handler
		frame:RegisterEvent(event)
		eventHandlers[event] = nil
	end

	frame:SetScript('OnEvent', function(self, event, ...)
		self[event](...)
	end)
end

print("|cff3399ffw|rIn1 has been loaded, use /wc for help.")
